Robot Simulator of the Robotics Group for Self-Organization of Control: BackCallerVector< _Tp, _Alloc > Class Template Reference

# BackCallerVector< _Tp, _Alloc > Class Template Reference

Establishes for some methods the notifications for registered Callbackable instances (use addCallbackable(. More...

`#include <backcallervector.h>`

Inherits BackCaller.

Collaboration diagram for BackCallerVector< _Tp, _Alloc >:
[legend]

List of all members.

## Public Types
typedef std::vector< _Tp, _Alloc >::iterator | iterator
## Public Member Functions
| BackCallerVector ()
virtual | ~BackCallerVector ()
void | push_back (const _Tp &i)
iterator | erase (iterator pos)
void | pop_back ()
void | clear ()
## Static Public Attributes
static const CallbackableType | BACKCALLER_VECTOR_MODIFIED = 10219
| Indicates that the list/vector has been modified, a new instance was either added or removed.
static const CallbackableType | BACKCALLER_VECTOR_BEING_DELETED = 10220
| Indicates that the list is being deleted.

## Detailed Description

### template<typename _Tp, typename _Alloc = std::allocator<_Tp>>
class BackCallerVector< _Tp, _Alloc >

Establishes for some methods the notifications for registered Callbackable instances (use addCallbackable(.

..)).

Warning:
  Only the following methods are currently supported: push_back(...), pop_back(), erase() and clear()! You can use iterators with the limitation to not delete or insert.

## Member Typedef Documentation

typedef std::vector<_Tp,_Alloc>::iterator iterator

## Constructor & Destructor Documentation

BackCallerVector | ( |  | ) | `[inline]`

virtual ~BackCallerVector | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void clear | ( |  | ) | `[inline]`

iterator erase | ( | iterator | pos | ) | `[inline]`

void pop_back | ( |  | ) | `[inline]`

void push_back | ( | const _Tp & | i | ) | `[inline]`

## Member Data Documentation

const CallbackableType BACKCALLER_VECTOR_BEING_DELETED = 10220`[static]`

Indicates that the list is being deleted.

const CallbackableType BACKCALLER_VECTOR_MODIFIED = 10219`[static]`

Indicates that the list/vector has been modified, a new instance was either added or removed.

The documentation for this class was generated from the following file:

- backcallervector.h